local addonInfo, privateVars = ...

if ( EnKai.tools.lang.getLanguage() ~= "German" and EnKai.tools.lang.getLanguage() ~= "Russian") then
 
	privateVars.langTexts  = {
			noItemsMessage = 'Found no items to save. Did you activate the items to save?\n\nPlease activate the equipment selection using the top right icon!',
			btWearTitle = 'Wear set',
			btWearLines = {{text = 'Click this button to wear'}, { text = 'the equipment of the set'}},
			btSaveTitle = 'Save current equipment',
			btSaveLines = {{text = 'This button saves the current'}, { text = 'equipment to the set'}},
			btClearTitle = 'Clear current equipment',
      btClearLines = {{text = 'This button clears the current'}, { text = 'equipment of the set'}},
			btNewSetTitle = 'Create new set',
			btNewSetLines = {{text = 'Creates a new, empty set'}},
			btDeleteSetTitle = 'Delete set',
			btDeleteSetLines = {{text = 'Deletes the current set'}},
			btCopySetTitle = 'Copy set',
			btCopySetLines = {{text = 'Creates a copy of the current set'}},
			btToggleTitle = 'Equipment selection',
			btToggleLines = {{text = 'Using this button you can'}, { text = 'toggle the slot selection display'}},
			btToggleAllTitle = 'Activate / deactivate slots',
      btToggleAllLines = {{text = 'Using this button you can'}, { text = 'toggle all slots on and off'}},
			btPutToBankTitle = 'Store in bank',
			btPutToBankLines = {{text = 'Moves the equipment of the current'}, { text = 'set to the bank.'}, { text = 'Linked equipment will not be moved.'}},
			btGetFromBankTitle = 'Get from bank',
			btGetFromBankLines = {{text = 'Retrieves the equipment of the'}, { text = 'current set from the bank.'}, { text = 'Linked equipment will not be retrieved.'}},
			btPutToWardrobeTitle = 'Store in wardrobe',
			btPutToWardrobeLines = {{text = 'Moves the equipment of the current'}, { text = 'set to the wardrobe.'}, { text = 'Linked equipment will not be moved.'}},
			btGetFromWardrobeTitle = 'Retrieve from wardrobe',
			btGetFromWardrobeLines = {{text = 'Retrieves the equipment of the'}, { text = 'current set from the wardrobe.'}, {text = 'Linked equipment will not be retrieved.'}},
			fldKAMain = 'KAlert main',
			fldKASub = 'KAlert sub',
			txtYell = "Yell text",
			txtKAlertSet = 'Set %d',
			txtDeactivated = '- Not used -',
			fldBagSelect = "Inventory bag",
			fldBankSelect = "Bank slot",
			fldLinkSelect = 'Equip. link',
			txtNoLink = '- not linked -',
			activeSet	= "Active set: %d - %s",
			reloadHint = 'You have to reload the ui (/reloadui) to update the button bar.',
			txtWardrobe	= 'Wardrobe %02d',
			labelWardrobe = 'Wardrobe',
			btPutToWardrobe	= 'Store',
			btGetFromWardrobe = 'Equip',
			msgChoose = '- please choose -',
			partOfSets = 'Part of set(s): ',
			roleNon = '- do not change -',
			setLabel = 'Set name',
			loadSet = 'load %s',			
			msgLoaded = "v%s loaded",
			set = 'Set %d',
			txtHeader = 'Version %s',
			btClose = 'close',
			btDonate = 'donate',			
			tabHeader3 = 'About',						
			txtRole = 'Role %d',
			txtEquipment = 'Set %d',
			fldRole = 'Role',
			fldIcon = 'Icon',
			fldRebuff = 'nkRebuff',
			slScale = 'Scaling %d%%',
			cbButton = 'Show button',
			cbBorder = 'Show border',
			cbnkPanel		= 'nkPanel plugin',
			fldOpen = 'Direction',
			openTop = 'Top',
			openLeft = 'Left',
			openRight = 'Right',
			openBottom = 'Bottom',
			helpTitle = 'Help',
			helpLine1 = 'Left click: toggle bar',
			helpLine2 = 'Middle click: open config',
			helpLine3 = 'Right click + drag: move button',	

			souls = {	 warrior = {{label = 'Liberator', value = 'soul_liberator.dds', iconType = 'Rift', iconPath = 'soul_liberator.dds'}, 
			                      {label = 'Beastmaster', value = 'soul_beastmaster.dds', iconType = 'Rift', iconPath = 'soul_beastmaster.dds'}, 
        										{label = 'Champion', value = 'soul_champion.dds', iconType = 'Rift', iconPath = 'soul_champion.dds'}, 
        										{label = 'Warlord', value = 'soul_warlord.dds', iconType = 'Rift', iconPath = 'soul_warlord.dds'}, 
        										{label = 'Paladin', value = 'soul_paladin.dds', iconType = 'Rift', iconPath = 'soul_paladin.dds'}, 
        										{label = 'Paragon', value = 'soul_paragon.dds', iconType = 'Rift', iconPath = 'soul_paragon.dds'}, 
        										{label = 'Reaver', value = 'soul_reaver.dds', iconType = 'Rift', iconPath = 'soul_reaver.dds'}, 
        										{label = 'Riftblade', value = 'soul_riftblade.dds', iconType = 'Rift', iconPath = 'soul_riftblade.dds'}, 
        										{label = 'Void Knight', value = 'soul_voidknight.dds', iconType = 'Rift', iconPath = 'soul_voidknight.dds'},
        										{label = 'Tempest', value = 'soul_tempest.dds', iconType = 'Rift', iconPath = 'soul_tempest.dds'} },
						    cleric =  { {label = 'Oracle', value = 'soul_oracle.dds', iconType = 'Rift', iconPath = 'soul_oracle.dds'},
						                {label = 'Warden', value = 'soul_warden.dds', iconType = 'Rift', iconPath = 'soul_warden.dds'}, 
        										{label = 'Druid', value = 'soul_druid.dds', iconType = 'Rift', iconPath = 'soul_druid.dds'}, 
        										{label = 'Inquisitor', value = 'soul_inquisitor.dds', iconType = 'Rift', iconPath = 'soul_inquisitor.dds'}, 
        										{label = 'Cabalist', value = 'soul_cabalist.dds', iconType = 'Rift', iconPath = 'soul_cabalist.dds'}, 
        										{label = 'Purifier', value = 'soul_purifier.dds', iconType = 'Rift', iconPath = 'soul_purifier.dds'}, 
        										{label = 'Justicar', value = 'soul_justicar.dds', iconType = 'Rift', iconPath = 'soul_justicar.dds'}, 
        										{label = 'Shaman', value = 'soul_shaman.dds', iconType = 'Rift', iconPath = 'soul_shaman.dds'}, 
        										{label = 'Sentinel', value = 'soul_sentinel.dds', iconType = 'Rift', iconPath = 'soul_sentinel.dds'},
        										{label = 'Defiler', value = 'soul_defiler.dds', iconType = 'Rift', iconPath = 'soul_defiler.dds'} },
  						  mage = {    {label = 'Arbiter', value = 'soul_arbiter.dds', iconType = 'Rift', iconPath = 'soul_arbiter.dds'},
        						        {label = 'Archon', value = 'soul_archon.dds', iconType = 'Rift', iconPath = 'soul_archon.dds'}, 
        										{label = 'Dominator', value = 'soul_dominator.dds', iconType = 'Rift', iconPath = 'soul_dominator.dds'}, 
        										{label = 'Chloromancer', value = 'soul_chloromancer.dds', iconType = 'Rift', iconPath = 'soul_chloromancer.dds'}, 
        										{label = 'Elementalist', value = 'soul_elementalist.dds', iconType = 'Rift', iconPath = 'soul_elementalist.dds'}, 
        										{label = 'Warlock', value = 'soul_warlock.dds', iconType = 'Rift', iconPath = 'soul_warlock.dds'}, 
        										{label = 'Necromancer', value = 'soul_necromancer.dds', iconType = 'Rift', iconPath = 'soul_necromancer.dds'}, 
        										{label = 'Pyromancer', value = 'soul_pyromancer.dds', iconType = 'Rift', iconPath = 'soul_pyromancer.dds'}, 
        										{label = 'Stormcaller', value = 'soul_stormcaller.dds', iconType = 'Rift', iconPath = 'soul_stormcaller.dds'},
        										{label = 'Harbringer', value = 'soul_harbringer.dds', iconType = 'Rift', iconPath = 'soul_harbringer.dds'} },
					     	rogue =  {  {label = 'Physician', value = 'soul_physician.dds', iconType = 'Rift', iconPath = 'soul_physician.dds'},
					     	            {label = 'Assassin', value = 'soul_assassin.dds', iconType = 'Rift', iconPath = 'soul_assassin.dds'}, 
        										{label = 'Bard', value = 'soul_bard.dds', iconType = 'Rift', iconPath = 'soul_bard.dds'}, 
        										{label = 'Bladedancer', value = 'soul_bladedancer.dds', iconType = 'Rift', iconPath = 'soul_bladedancer.dds'}, 
        										{label = 'Nightblade', value = 'soul_nightblade.dds', iconType = 'Rift', iconPath = 'soul_nightblade.dds'}, 
        										{label = 'Riftstalker', value = 'soul_riftstalker.dds', iconType = 'Rift', iconPath = 'soul_riftstalker.dds'}, 
        										{label = 'Saboteur', value = 'soul_saboteur.dds', iconType = 'Rift', iconPath = 'soul_saboteur.dds'}, 
        										{label = 'Marksman', value = 'soul_marksman.dds', iconType = 'Rift', iconPath = 'soul_marksman.dds'}, 
        										{label = 'Ranger', value = 'soul_ranger.dds', iconType = 'Rift', iconPath = 'soul_ranger.dds'},
        										{label = 'Tactician', value = 'soul_tactician.dds', iconType = 'Rift', iconPath = 'soul_tactician.dds'} }
					},
			btWearEquip = 'equip items',
			btGetFromBank = 'get from bank',
			btPutToBank = 'put on bank',
			btAddSet = 'add set',
			btRemoveSet = 'delete set',
			btCopySet = 'copy set',
			txtCopiedSet = 'copy of  %s',
			btLoadFromEquip = 'save equip',
			errLastSet = 'The last set cannot be deleted!',
			msgLoadCurrentEquip = 'Do you want to load the current equip into\n the current set?',
			msgClearCurrentEquip = 'Do you want to clear the equipment of the\ncurrent set?',
			msgRemoveSetConfirm = 'Do you really want to delete the set?',
			mainBankSlot = 'Main bank slot',
			txtBag = 'Bag %d',
			txtBank = 'Bank slot %d',
			equipTooltip = 'Left click: switch',
			errGettingItem = 'cannot access or find %s',
			commandSetRefuse = "%d is not a valid value. Please use 1-%d", 
			deactivated = '- deactivated -',
		}
		
end