local addonInfo, privateVars = ...

if EnKai.tools.lang.getLanguage() == "French" then
 
	privateVars.langTexts  = {
			noItemsMessage = 'Found no items to save. Did you activate the items to save?\n\nPlease activate the equipment selection using the top right icon!',
			btWearTitle = 'Wear set',
			btWearLines = {{text = 'Click this button to wear'}, { text = 'the equipment of the set'}},
			btSaveTitle = 'Save current equipment',
			btSaveLines = {{text = 'This button saves the current'}, { text = 'equipment to the set'}},
			btClearTitle = 'Clear current equipment',
      btClearLines = {{text = 'This button clears the current'}, { text = 'equipment of the set'}},
			btNewSetTitle = 'Create new set',
			btNewSetLines = {{text = 'Creates a new, empty set'}},
			btDeleteSetTitle = 'Delete set',
			btDeleteSetLines = {{text = 'Deletes the current set'}},
			btCopySetTitle = 'Copy set',
			btCopySetLines = {{text = 'Creates a copy of the current set'}},
			btToggleTitle = 'Equipment selection',
			btToggleLines = {{text = 'Using this button you can'}, { text = 'toggle the equipment selection on and off'}},
			btToggleAllTitle = 'Activate / deactivate slots',
      btToggleAllLines = {{text = 'Using this button you can'}, { text = 'toggle all slots on and off'}},
			btPutToBankTitle = 'Store in bank',
			btPutToBankLines = {{text = 'Moves the equipment of the current'}, { text = 'set to the bank.'}, { text = 'Linked equipment will not be moved.'}},
			btGetFromBankTitle = 'Get from bank',
			btGetFromBankLines = {{text = 'Retrieves the equipment of the'}, { text = 'current set from the bank.'}, { text = 'Linked equipment will not be retrieved.'}},
			btPutToWardrobeTitle = 'Store in wardrobe',
			btPutToWardrobeLines = {{text = 'Moves the equipment of the current'}, { text = 'set to the wardrobe.'}, { text = 'Linked equipment will not be moved.'}},
			btGetFromWardrobeTitle = 'Retrieve from wardrobe',
			btGetFromWardrobeLines = {{text = 'Retrieves the equipment of the'}, { text = 'current set from the wardrobe.'}, {text = 'Linked equipment will not be retrieved.'}},
			fldKAMain = 'KAlert main',
			fldKASub = 'KAlert sub',
			txtYell = "Yell text",
			txtKAlertSet = 'Set %d',
			txtDeactivated = '- not used -',
			fldBagSelect = "Inventory bag",
			fldBankSelect = "Bank slot",
			fldLinkSelect = 'Equip. link',
			txtNoLink = '- not linked -',
			activeSet	= "Active set: %d - %s",
			reloadHint = 'You have to reload the ui (/reloadui) to update the button bar.',
			txtWardrobe	= 'Wardrobe %02d',
			labelWardrobe = 'Wardrobe',
			btPutToWardrobe	= 'Store',
			btGetFromWardrobe = 'Equip',
			msgChoose = '- please choose -',
			partOfSets = 'Part of set(s): ',
			roleNon = '- change pas -',
			setLabel = 'nome du set',
			loadSet = 'charge %s',
			msgLoaded = "v%s chargé",
			set = 'Set %d',
			txtHeader = 'Version %s',
			btClose = 'fermer',
			btDonate = 'donner',
			tabHeader3 = 'A propos',
			txtRole = 'Rôle %d',
			txtEquipment = 'Set %d',
			fldRole = 'Rôle',
			fldIcon = 'Icône',
			fldRebuff = 'nkRebuff',
			slScale = 'Echelle %d%%',
			cbButton = 'Montrer bouton',
			cbBorder = 'Montrer les bords',
			cbnkPanel		= 'nkPanel plugin',
			fldOpen = 'Direction',
			openTop = 'En haut',
			openLeft = 'A gauche',
			openRight = 'A droite',
			openBottom = 'En bas',
			helpTitle = 'Aide',
			helpLine1 = 'Clic gauche : afficher la barre',
			helpLine2 = 'Clic milieu : ouvrir config',
			helpLine3 = 'Clic droit pour déplacer',			

			souls = {   warrior = {{label = 'Libérateur', value = 'soul_liberator.dds', iconType = 'Rift', iconPath = 'soul_liberator.dds'}, 
                            {label = 'Dompteur', value = 'soul_beastmaster.dds', iconType = 'Rift', iconPath = 'soul_beastmaster.dds'}, 
                            {label = 'Champion', value = 'soul_champion.dds', iconType = 'Rift', iconPath = 'soul_champion.dds'}, 
                            {label = 'Maitre de guerre', value = 'soul_warlord.dds', iconType = 'Rift', iconPath = 'soul_warlord.dds'}, 
                            {label = 'Paladin', value = 'soul_paladin.dds', iconType = 'Rift', iconPath = 'soul_paladin.dds'}, 
                            {label = 'Paragon', value = 'soul_paragon.dds', iconType = 'Rift', iconPath = 'soul_paragon.dds'}, 
                            {label = 'Saccageur', value = 'soul_reaver.dds', iconType = 'Rift', iconPath = 'soul_reaver.dds'}, 
                            {label = 'Saigneur des Failles', value = 'soul_riftblade.dds', iconType = 'Rift', iconPath = 'soul_riftblade.dds'}, 
                            {label = 'Chevalier du Néant', value = 'soul_voidknight.dds', iconType = 'Rift', iconPath = 'soul_voidknight.dds'},
                            {label = 'Tempest', value = 'soul_tempest.dds', iconType = 'Rift', iconPath = 'soul_tempest.dds'} },
                cleric =  { {label = 'Oracle', value = 'soul_oracle.dds', iconType = 'Rift', iconPath = 'soul_oracle.dds'},
                            {label = 'Protecteur', value = 'soul_warden.dds', iconType = 'Rift', iconPath = 'soul_warden.dds'}, 
                            {label = 'Druide', value = 'soul_druid.dds', iconType = 'Rift', iconPath = 'soul_druid.dds'}, 
                            {label = 'Inquisiteur', value = 'soul_inquisitor.dds', iconType = 'Rift', iconPath = 'soul_inquisitor.dds'}, 
                            {label = 'Cabaliste', value = 'soul_cabalist.dds', iconType = 'Rift', iconPath = 'soul_cabalist.dds'}, 
                            {label = 'Purificateur', value = 'soul_purifier.dds', iconType = 'Rift', iconPath = 'soul_purifier.dds'}, 
                            {label = 'Justicier', value = 'soul_justicar.dds', iconType = 'Rift', iconPath = 'soul_justicar.dds'}, 
                            {label = 'Chamane', value = 'soul_shaman.dds', iconType = 'Rift', iconPath = 'soul_shaman.dds'}, 
                            {label = 'Sentinelle', value = 'soul_sentinel.dds', iconType = 'Rift', iconPath = 'soul_sentinel.dds'},
                            {label = 'Defiler', value = 'soul_defiler.dds', iconType = 'Rift', iconPath = 'soul_defiler.dds'} },
                mage = {    {label = 'Arbitre', value = 'soul_arbiter.dds', iconType = 'Rift', iconPath = 'soul_arbiter.dds'},
                            {label = 'Archonte', value = 'soul_archon.dds', iconType = 'Rift', iconPath = 'soul_archon.dds'}, 
                            {label = 'Dominateur', value = 'soul_dominator.dds', iconType = 'Rift', iconPath = 'soul_dominator.dds'}, 
                            {label = 'Chloromancien', value = 'soul_chloromancer.dds', iconType = 'Rift', iconPath = 'soul_chloromancer.dds'}, 
                            {label = 'Elémentaliste', value = 'soul_elementalist.dds', iconType = 'Rift', iconPath = 'soul_elementalist.dds'}, 
                            {label = 'Anathema', value = 'soul_warlock.dds', iconType = 'Rift', iconPath = 'soul_warlock.dds'}, 
                            {label = 'Nécromancien', value = 'soul_necromancer.dds', iconType = 'Rift', iconPath = 'soul_necromancer.dds'}, 
                            {label = 'Pyromancien', value = 'soul_pyromancer.dds', iconType = 'Rift', iconPath = 'soul_pyromancer.dds'}, 
                            {label = 'Tempestaire', value = 'soul_stormcaller.dds', iconType = 'Rift', iconPath = 'soul_stormcaller.dds'},
                            {label = 'Harbringer', value = 'soul_harbringer.dds', iconType = 'Rift', iconPath = 'soul_harbringer.dds'} },
                rogue =  {  {label = 'Médecin', value = 'soul_physician.dds', iconType = 'Rift', iconPath = 'soul_physician.dds'},
                            {label = 'Assassin', value = 'soul_assassin.dds', iconType = 'Rift', iconPath = 'soul_assassin.dds'}, 
                            {label = 'Barde', value = 'soul_bard.dds', iconType = 'Rift', iconPath = 'soul_bard.dds'}, 
                            {label = 'Danselame', value = 'soul_bladedancer.dds', iconType = 'Rift', iconPath = 'soul_bladedancer.dds'}, 
                            {label = 'Lamenoire', value = 'soul_nightblade.dds', iconType = 'Rift', iconPath = 'soul_nightblade.dds'}, 
                            {label = 'Traqueur des Failles', value = 'soul_riftstalker.dds', iconType = 'Rift', iconPath = 'soul_riftstalker.dds'}, 
                            {label = 'Saboteur', value = 'soul_saboteur.dds', iconType = 'Rift', iconPath = 'soul_saboteur.dds'}, 
                            {label = 'Tireur d\'élite', value = 'soul_marksman.dds', iconType = 'Rift', iconPath = 'soul_marksman.dds'}, 
                            {label = 'Rôdeur', value = 'soul_ranger.dds', iconType = 'Rift', iconPath = 'soul_ranger.dds'},
                            {label = 'Tactician', value = 'soul_tactician.dds', iconType = 'Rift', iconPath = 'soul_tactician.dds'} }
					},

			btWearEquip = 'équiper',
			btGetFromBank = 'retirer',
			btPutToBank = 'déposer',
			btAddSet = 'ajouter',
			btRemoveSet = 'supprimer',
			btCopySet = 'copier',
			txtCopiedSet = 'copier de  %s',
			btLoadFromEquip = 'sauver',
			errLastSet = 'Le dernier set ne peut être supprimé !',
			msgLoadCurrentEquip = 'Voulez-vous charger l\'équipement courant dans le set courant ?',
			msgClearCurrentEquip = 'Do you want to clear the equipment of the\ncurrent set?',
			msgRemoveSetConfirm = 'Do you really want to delete the set?',
			mainBankSlot = 'Banque slot principal',
			txtBag = 'Sac %d',
			txtBank = 'Banque slot %d',
			equipTooltip = 'Clic gauche : changer',
			errGettingItem = 'ne peut accéder ou trouver %s',
			commandSetRefuse = "%d est invalide. Utilisez 1-%d", 
			deactivated = '- désactivé -',
		}
	
end